X2Go Bug report logs - #1156
SSH daemon could not be started

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: John Cobo <john.cobo@gmail.com>

Date: Thu, 16 Mar 2017 12:40:02 UTC

Severity: normal

Tags: pending

Fixed in version 4.1.2.0

Done: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#1156; Package windows client. (Thu, 16 Mar 2017 12:40:02 GMT) (full text, mbox, link).


Acknowledgement sent to John Cobo <john.cobo@gmail.com>:
New Bug report received and forwarded. Copy sent to owner@bugs.x2go.org. (Thu, 16 Mar 2017 12:40:03 GMT) (full text, mbox, link).


Message #5 received at submit@bugs.x2go.org (full text, mbox, reply):

From: John Cobo <john.cobo@gmail.com>
To: submit@bugs.x2go.org
Subject: SSH daemon could not be started
Date: Thu, 16 Mar 2017 12:35:14 +0000
[Message part 1 (text/plain, inline)]
Package: Windows Client
Version: 4.1.0.0


Using windows 10, I install X2Go client and on every connection the
SSH deemon error pops up. Disabling printing and file shareing does
fix it, but... 'tis not right.

Thanks.


[image: Inline images 1]
[Message part 2 (text/html, inline)]
[image.png (image/png, inline)]

Information forwarded to x2go-dev@lists.x2go.org, owner@bugs.x2go.org:
Bug#1156; Package windows client. (Mon, 20 Mar 2017 20:35:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to owner@bugs.x2go.org. (Mon, 20 Mar 2017 20:35:02 GMT) (full text, mbox, link).


Message #10 received at 1156@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: John Cobo <john.cobo@gmail.com>, 1156@bugs.x2go.org
Subject: Re: SSH daemon could not be started
Date: Mon, 20 Mar 2017 21:33:18 +0100
[Message part 1 (text/plain, inline)]
Control: reassign -1 x2goclient

On 16.03.2017 01:35 PM, John Cobo wrote:
> Package: Windows Client
> Version: 4.1.0.0
> 
> 
> Using windows 10, I install X2Go client and on every connection the SSH deemon error pops up. Disabling printing and file shareing does fix it, but... 'tis not right.
> 
> Thanks.

Please install the debug version and start X2Go Client via the debug symlink, if
possible from the command line and redirecting output to a file. I'll need the
debug log to figure out what went wrong on your system.



Mihai


[signature.asc (application/pgp-signature, attachment)]

Bug reassigned from package 'windows client' to 'x2goclient'. Request was from Mihai Moldovan <ionic@ionic.de> to 1156-submit@bugs.x2go.org. (Mon, 20 Mar 2017 20:35:02 GMT) (full text, mbox, link).


No longer marked as found in versions 4.1.0.0. Request was from Mihai Moldovan <ionic@ionic.de> to 1156-submit@bugs.x2go.org. (Mon, 20 Mar 2017 20:35:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1156; Package x2goclient. (Mon, 29 Jan 2018 13:00:02 GMT) (full text, mbox, link).


Acknowledgement sent to Gromit <gromit8192@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Mon, 29 Jan 2018 13:00:02 GMT) (full text, mbox, link).


Message #19 received at 1156@bugs.x2go.org (full text, mbox, reply):

From: Gromit <gromit8192@gmail.com>
To: 1156@bugs.x2go.org
Subject: Re: SSH daemon could not be started
Date: Mon, 29 Jan 2018 13:55:07 +0100
Had this same problem under Windows 10.

Started x2goclient.debug --debug and it showed me that the
permissions for the ssh_host_rsa_key are too open (0770).

Installed cygwin to check these permissions under windows and the user- 
and groupname where the same username. The rights where 700. Somehow the 
rights for the group where inherited from the user when they have the 
same owner/group-name.

Fixed it by changing the group for ssh_host_rsa_key from the username to 
'Users' under cygwin.


Guido


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1156; Package x2goclient. (Tue, 13 Feb 2018 11:40:01 GMT) (full text, mbox, link).


Acknowledgement sent to yk+bug+x2go@64.re:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 13 Feb 2018 11:40:02 GMT) (full text, mbox, link).


Message #24 received at 1156@bugs.x2go.org (full text, mbox, reply):

From: yk+bug+x2go@64.re
To: 1156@bugs.x2go.org
Subject: Re: [X2Go-Dev] Bug#1156: SSH daemon could not be started
Date: Tue, 13 Feb 2018 11:50:31 +0100
On Mon, 29 Jan 2018 13:55:07 +0100
Gromit <gromit8192@gmail.com> wrote:
> Had this same problem under Windows 10.
> 
> Started x2goclient.debug --debug and it showed me that the
> permissions for the ssh_host_rsa_key are too open (0770).
> 
> Installed cygwin to check these permissions under windows and the
> user- and groupname where the same username. The rights where 700.
> Somehow the rights for the group where inherited from the user when
> they have the same owner/group-name.
> 
> Fixed it by changing the group for ssh_host_rsa_key from the username
> to 'Users' under cygwin.


Thanks so much for this workaround!

I can confirm that I am experiencing the exact same issue on all the
Windows 10 installations at work, and that the workaround is working.


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1156; Package x2goclient. (Thu, 15 Feb 2018 03:00:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 15 Feb 2018 03:00:02 GMT) (full text, mbox, link).


Message #29 received at 1156@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: Gromit <gromit8192@gmail.com>, 1156@bugs.x2go.org
Subject: Re: [X2Go-Dev] SSH daemon could not be started
Date: Thu, 15 Feb 2018 03:56:08 +0100
[Message part 1 (text/plain, inline)]
* On 01/29/2018 01:55 PM, Gromit wrote:
> Had this same problem under Windows 10.
> 
> Started x2goclient.debug --debug and it showed me that the
> permissions for the ssh_host_rsa_key are too open (0770).
> 
> Installed cygwin to check these permissions under windows and the user- 
> and groupname where the same username. The rights where 700. Somehow the 
> rights for the group where inherited from the user when they have the 
> same owner/group-name.
> 
> Fixed it by changing the group for ssh_host_rsa_key from the username to 
> 'Users' under cygwin.

Yes, that's very unfortunate. As far as I could find out, that's a known bug (or
feature, or whatever) in Cygwin.

Sadly, I have no idea how to fix that without telling users to install chmod,
cygwin bash and fixing permissions manually. That's certainly not the best way
to deal with that wide-spread issue.



Mihai

[signature.asc (application/pgp-signature, attachment)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1156; Package x2goclient. (Sat, 05 May 2018 00:45:02 GMT) (full text, mbox, link).


Acknowledgement sent to Jonathan Landis <jkl@calibersecurity.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 05 May 2018 00:45:02 GMT) (full text, mbox, link).


Message #34 received at 1156@bugs.x2go.org (full text, mbox, reply):

From: Jonathan Landis <jkl@calibersecurity.com>
To: 1156@bugs.x2go.org
Subject: another workaround
Date: Fri, 4 May 2018 17:39:49 -0700
[Message part 1 (text/plain, inline)]
You can fix the file permissions without Cygwin, but not with File
Explorer. You need to use the industrial-strength subinacl.exe tool
available for free from Microsoft. It's often the only option for
permissions issues, so it is useful to have around.

As noted earlier in the thread, the ssh_host_rsa_key file's primary group
is the same as the user. So the group permissions are the user permissions,
and there is no possible way to satisfy the permissions requirements, even
if you delete all permissions entries except the one for the user.

So what you have to do is set the primary group to something else, and make
sure that it doesn't have access to the file. Like this:

"c:\Program Files (x86)\Windows Resource Kits\Tools\subinacl.exe" /file
ssh_host_rsa_key /setprimarygroup=Administrators

That will set the primary group to the builtin Administrators group. Make
sure that group doesn't have an access grant (which can be done in File
Explorer if desired).
[Message part 2 (text/html, inline)]

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1156; Package x2goclient. (Thu, 14 Jun 2018 02:15:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Thu, 14 Jun 2018 02:15:02 GMT) (full text, mbox, link).


Message #39 received at 1156@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: 1156-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1156@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Thu, 14 Jun 2018 04:12:21 +0200 (CEST)
tag #1156 pending
fixed #1156 4.1.2.0
thanks

Hello,

X2Go issue #1156 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=f22fd19

The issue will most likely be fixed in src:x2goclient (4.1.2.0).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit f22fd1957a8b16a80588451cc3e0dab26c2d5c8b
Author: Mihai Moldovan <ionic@ionic.de>
Date:   Thu Jun 14 04:11:15 2018 +0200

    src/onmainwindow.cpp: hook-in chgrp for ~/.x2go/etc on Windows platforms to work around a Cygwin permissions bug. Fixes: #1156.

diff --git a/debian/changelog b/debian/changelog
index da8f2c1..fe06805 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -86,6 +86,8 @@ x2goclient (4.1.2.0-0x2go1) UNRELEASED; urgency=medium
       Server startup functions.
     - src/pulsemanager.cpp: use QByteArray's constData () instead of data (),
       since we'll never modify the data anyway.
+    - src/onmainwindow.cpp: hook-in chgrp for ~/.x2go/etc on Windows platforms
+      to work around a Cygwin permissions bug. Fixes: #1156.
   * x2goclient.spec:
     - Remove plugin references.
   * debian/rules:


Added tag(s) pending. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Thu, 14 Jun 2018 02:15:03 GMT) (full text, mbox, link).


Marked as fixed in versions 4.1.2.0. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Thu, 14 Jun 2018 02:15:03 GMT) (full text, mbox, link).


Message sent on to John Cobo <john.cobo@gmail.com>:
Bug#1156. (Thu, 14 Jun 2018 02:15:04 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1156; Package x2goclient. (Fri, 15 Jun 2018 10:05:02 GMT) (full text, mbox, link).


Acknowledgement sent to Mihai Moldovan <ionic@ionic.de>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 15 Jun 2018 10:05:02 GMT) (full text, mbox, link).


Message #51 received at 1156@bugs.x2go.org (full text, mbox, reply):

From: Mihai Moldovan <ionic@ionic.de>
To: 1156-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1156@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Fri, 15 Jun 2018 12:04:50 +0200 (CEST)
tag #1156 pending
fixed #1156 4.1.2.0
thanks

Hello,

X2Go issue #1156 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=9c1ca41

The issue will most likely be fixed in src:x2goclient (4.1.2.0).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 9c1ca414da2698d51213382475b29e6a1d1e9b6a
Author: Mihai Moldovan <ionic@ionic.de>
Date:   Fri Jun 15 11:59:05 2018 +0200

    src/onmainwindow.cpp: disable private host key permissions check in OpenSSH Server on Windows. Fixes: #1156.

diff --git a/debian/changelog b/debian/changelog
index e70ea70..078b072 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -98,6 +98,8 @@ x2goclient (4.1.2.0-0x2go1) UNRELEASED; urgency=medium
     - copy-deps-win32.bat: update to 20180615-1 Cygwin bundle, shipping with
       a further modified OpenSSH Server version at 7.7p1-1-x2go1 and without
       chgrp.
+    - src/onmainwindow.cpp: disable private host key permissions check in
+      OpenSSH Server on Windows. Fixes: #1156.
   * x2goclient.spec:
     - Remove plugin references.
   * debian/rules:


Message sent on to John Cobo <john.cobo@gmail.com>:
Bug#1156. (Fri, 15 Jun 2018 10:05:02 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1156; Package x2goclient. (Fri, 22 Jun 2018 20:40:02 GMT) (full text, mbox, link).


Acknowledgement sent to X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Fri, 22 Jun 2018 20:40:03 GMT) (full text, mbox, link).


Message #59 received at 1156@bugs.x2go.org (full text, mbox, reply):

From: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>
To: 1156-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1156@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Fri, 22 Jun 2018 22:34:29 +0200 (CEST)
close #1156
thanks

Hello,

we are very hopeful that X2Go issue #1156 reported by you
has been resolved in the new release (4.1.2.0) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.1.2.0)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=bc5c972f6fb84e6c542332d64f0403bb7ba440e3;hp=d8f5e5a4a51724ef3620e7f347644338e2449444

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.1.2.0-0x2go1
Status: RELEASE
Date: Fri, 22 Jun 2018 22:30:29 +0200
Fixes: 1156 1258 1263
Changes:
 x2goclient (4.1.2.0-0x2go1) RELEASED; urgency=medium
 .
   [ Mike DePaulo ]
   * New upstream version (4.1.2.0):
     - src/sshmasterconnection.cpp: Do not attempt to perform Interaction with
       SSH Server (e.g. for changing expired password) when using
       GSSAPI/Kerberos because the interaction code does not support it yet.
       Fixes: #1258
     - Windows: Update PuTTY from 0.68 to 0.70, which fixes PuTTY vulns
       vuln-indirect-dll-hijack-2 & vuln-indirect-dll-hijack-3.
       Note that x2goclient was only ever affected if the permissions on the
       installation folder were changed to give users write access, or if
       x2goclient was copied/extracted to a folder where users could write.
     - Windows: Update Win32 OpenSSL from 1.0.2k to 1.0.2n
       Fixes several CVEs
     - Windows: Upgrade bundled VcXsrv from 1.17.0.0-3 (X2Go/Arctica Build)
       to 1.20.0.0 (upstream build)
         + Fixes https://github.com/ArcticaProject/nx-libs/issues/600
         + Incompatible with XP & Vista
         + Unmodified except for strip-nondeterminism being run on .gz files
 .
   [ Oleksandr Shneyder ]
   * New upstream version (4.1.2.0):
     - don't start gpg agent for PGP card authentication. Use system agent instead.
     - change search string for pcsc_scan.
     - destroy unused SSH sessions for LDAP authentication.
 .
   [ Mihai Moldovan ]
   * New upstream version (4.1.2.0):
     - misc: update version to 4.1.2.0.
     - res/img/svg: add new lxqt.svg icon file (really helix.svg).
     - res/img/icons/*x*: add new rasterized lxqt.png files in different sizes.
     - res/qresources.qrc: add new lxqt files.
     - src/{onmainwindow.cpp,session{button,widget}.{cpp,h}}: add support for
       LXQt. Fixes: #1263.
     - src/sshmasterconnection.cpp: stop libssh/OpenSSL from querying for a
       passphrase if started with a controlling terminal.
     - x2goclient.pro: remove plugin references.
     - misc: change http:// to https:// where appropriate, but in actual code
       and translation files for now.
     - Makefile: remove plugin references.
     - Makefile: remove x2goclient_*.qm files in clean rule.
     - x2gobrowserplugin-2.4_1/: remove.
     - provider/: remove.
     - INSTALL: remove plugin references.
     - {{build,config}_win_plugin.bat,config_linux_{,static_}plugin.sh}:
       remove.
     - config_win.bat: remove plugin references.
     - src/{configdialog.cpp,onmainwindow{.cpp,{,_privat}.h}}: remove plugin
       references.
     - src/editconnectiondialog.cpp: do not connect signals to slots that do
       not exist on non-Linux platforms.
     - src/onmainwindow.cpp: add -nopn parameter to VcXsrv startup options,
       making the binary fail if it wasn't able to bind the requested port on
       all addresses.
     - src/onmainwindow.cpp: print out current DISPLAY value in debug log while
       starting X.Org Server on Windows.
     - src/onmainwindow.{cpp,h}: don't error out directly if starting the X.Org
       Server failed on Windows. Instead, try starting it three times, each
       time with a higher DISPLAY offset. On busy client machines, several
       clients raced for the sockets previously and often failed to start. Also
       check if the server binary actually is still alive before doing the TCP
       connection checks. A dead server won't be able to listen on a socket in
       the first place.
     - {src/{onmainwindow.{cpp,h},help.cpp},man/man1/x2goclient.1}: add new
       option --xserver-start-limit, replacing the formerly hardcoded limit of
       three tries.
     - src/onmainwindow.{cpp,h}: fix compile error on Windows - use std::size_t
       instead of std::ssize_t, treat zero as infinity value while parsing
       option value.
     - src/onmainwindow.cpp: handle a disabled X.Org Server start limit
       correctly.
     - src/onmainwindow.cpp: fix other compile errors/typos.
     - src/onmainwindow.cpp: another compile error/typo fix.
     - src/onmainwindow.cpp: let client recognize new --xserver-start-limit
       param correctly.
     - src/onmainwindow.cpp: add -silent-dup-error parameter to VcXsrv startup
       options, forcing it to silently fail without showing a dialog and thus
       keeping the process running.
     - src/onmainwindow.cpp: re-add periodic xmodmap keyboard sync for OS
       X/macOS platforms. Was dropped some time ago by accident.
     - src/onmainwindow.cpp: fix compile error on OS X/macOS.
     - copy-deps-win32.bat: update to 20160121-4 Cygwin bundle, shipping with
       chgrp.
     - src/onmainwindow.cpp: fix user-facing error messages in Windows X.Org
       Server startup functions.
     - src/pulsemanager.cpp: use QByteArray's constData () instead of data (),
       since we'll never modify the data anyway.
     - src/onmainwindow.cpp: hook-in chgrp for ~/.x2go/etc on Windows platforms
       to work around a Cygwin permissions bug. Fixes: #1156.
     - src/onmainwindow.cpp: QProcess:nullDevice () is only available on Qt
       5.2+, so use a workaround for older versions.
     - src/onmainwindow.cpp: actually pass the correct group ID to the chgrp
       call and make sure that the warning dialog box also appears whenever the
       exit code indicates a failure.
     - src/onmainwindow.{cpp,h}: remove Cygwin permissions workaround via
       chgrp.
     - copy-deps-win32.bat: update to 20180615-1 Cygwin bundle, shipping with
       a further modified OpenSSH Server version at 7.7p1-1-x2go1 and without
       chgrp.
     - src/onmainwindow.cpp: disable private host key permissions check in
       OpenSSH Server on Windows. Fixes: #1156.
     - res/i18n/x2goclient_*.ts: update translation files.
     - res/i18n/x2goclient_fi.ts: whitespace and other fixups.
     - res/i18n/x2goclient_fi.ts: add missing numerus form translation and
       other fixups.
     - res/i18n/x2goclient_de.ts: another fixup I previously forgot about.
     - res/i18n/x2goclient_et.ts: whitespace and meta data fixup.
     - res/i18n/x2goclient_et.ts: typo fix: on+ma -> oma.
   * x2goclient.spec:
     - Remove plugin references.
   * debian/rules:
     - Remove plugin references.
     - Remove x2goclient_*.qm files removal.
   * debian/control:
     - Convert plugin packages to dummy transitional packages with no
       dependencies, remove other plugin references.
   * debian/:
     - x2goplugin{,-provider}.install: clear out.
     - {x2goplugin.dirs,x2goplugin-provider.dirs,x2goplugin-provider.links,
        x2goplugin-provider.post*}: remove.
   * debian/copyright:
     - Remove plugin references.
 .
   [ Martti Pitkänen ]
   * New upstream version (4.1.2.0):
     - res/i18n/x2goclient_fi.ts: update Finnish translation file.
 .
   [ Stefan Baur ]
   * New upstream release (4.1.2.0):
     - res/i18n/x2goclient_de.ts: update German translation file.
 .
   [ Sébastien Ducoulombier ]
   * New upstream version (4.1.2.0):
     - res/i18n/x2goclient_fr.ts: update French translation file.
 .
   [ Robert Parts ]
   * New upstream version (4.1.2.0):
     - res/i18n/x2goclient_et.ts: update Estonian translation file.


Marked Bug as done Request was from X2Go Release Manager X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Fri, 22 Jun 2018 20:40:06 GMT) (full text, mbox, link).


Notification sent to John Cobo <john.cobo@gmail.com>:
Bug acknowledged by developer. (Fri, 22 Jun 2018 20:40:07 GMT) (full text, mbox, link).


Message sent on to John Cobo <john.cobo@gmail.com>:
Bug#1156. (Fri, 22 Jun 2018 20:40:09 GMT) (full text, mbox, link).


Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#1156; Package x2goclient. (Sat, 23 Jun 2018 02:20:05 GMT) (full text, mbox, link).


Acknowledgement sent to X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sat, 23 Jun 2018 02:20:05 GMT) (full text, mbox, link).


Message #71 received at 1156@bugs.x2go.org (full text, mbox, reply):

From: X2Go Release Manager X2Go Release Manager <git-admin@x2go.org>
To: 1156-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 1156@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Sat, 23 Jun 2018 04:19:37 +0200 (CEST)
close #1156
thanks

Hello,

we are very hopeful that X2Go issue #1156 reported by you
has been resolved in the new release (4.1.2.0) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.1.2.0)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=81565e3e4bd7ee380f72d68ff002aa18501230d4;hp=d8f5e5a4a51724ef3620e7f347644338e2449444

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.1.2.0-0x2go1
Status: RELEASE
Date: Fri, 22 Jun 2018 22:30:29 +0200
Fixes: 1156 1258 1263
Changes:
 x2goclient (4.1.2.0-0x2go1) RELEASED; urgency=medium
 .
   [ Mike DePaulo ]
   * New upstream version (4.1.2.0):
     - src/sshmasterconnection.cpp: Do not attempt to perform Interaction with
       SSH Server (e.g. for changing expired password) when using
       GSSAPI/Kerberos because the interaction code does not support it yet.
       Fixes: #1258
     - Windows: Update PuTTY from 0.68 to 0.70, which fixes PuTTY vulns
       vuln-indirect-dll-hijack-2 & vuln-indirect-dll-hijack-3.
       Note that x2goclient was only ever affected if the permissions on the
       installation folder were changed to give users write access, or if
       x2goclient was copied/extracted to a folder where users could write.
     - Windows: Update Win32 OpenSSL from 1.0.2k to 1.0.2n
       Fixes several CVEs
     - Windows: Upgrade bundled VcXsrv from 1.17.0.0-3 (X2Go/Arctica Build)
       to 1.20.0.0 (upstream build)
         + Fixes https://github.com/ArcticaProject/nx-libs/issues/600
         + Incompatible with XP & Vista
         + Unmodified except for strip-nondeterminism being run on .gz files
 .
   [ Oleksandr Shneyder ]
   * New upstream version (4.1.2.0):
     - don't start gpg agent for PGP card authentication. Use system agent instead.
     - change search string for pcsc_scan.
     - destroy unused SSH sessions for LDAP authentication.
 .
   [ Mihai Moldovan ]
   * New upstream version (4.1.2.0):
     - misc: update version to 4.1.2.0.
     - res/img/svg: add new lxqt.svg icon file (really helix.svg).
     - res/img/icons/*x*: add new rasterized lxqt.png files in different sizes.
     - res/qresources.qrc: add new lxqt files.
     - src/{onmainwindow.cpp,session{button,widget}.{cpp,h}}: add support for
       LXQt. Fixes: #1263.
     - src/sshmasterconnection.cpp: stop libssh/OpenSSL from querying for a
       passphrase if started with a controlling terminal.
     - x2goclient.pro: remove plugin references.
     - misc: change http:// to https:// where appropriate, but in actual code
       and translation files for now.
     - Makefile: remove plugin references.
     - Makefile: remove x2goclient_*.qm files in clean rule.
     - x2gobrowserplugin-2.4_1/: remove.
     - provider/: remove.
     - INSTALL: remove plugin references.
     - {{build,config}_win_plugin.bat,config_linux_{,static_}plugin.sh}:
       remove.
     - config_win.bat: remove plugin references.
     - src/{configdialog.cpp,onmainwindow{.cpp,{,_privat}.h}}: remove plugin
       references.
     - src/editconnectiondialog.cpp: do not connect signals to slots that do
       not exist on non-Linux platforms.
     - src/onmainwindow.cpp: add -nopn parameter to VcXsrv startup options,
       making the binary fail if it wasn't able to bind the requested port on
       all addresses.
     - src/onmainwindow.cpp: print out current DISPLAY value in debug log while
       starting X.Org Server on Windows.
     - src/onmainwindow.{cpp,h}: don't error out directly if starting the X.Org
       Server failed on Windows. Instead, try starting it three times, each
       time with a higher DISPLAY offset. On busy client machines, several
       clients raced for the sockets previously and often failed to start. Also
       check if the server binary actually is still alive before doing the TCP
       connection checks. A dead server won't be able to listen on a socket in
       the first place.
     - {src/{onmainwindow.{cpp,h},help.cpp},man/man1/x2goclient.1}: add new
       option --xserver-start-limit, replacing the formerly hardcoded limit of
       three tries.
     - src/onmainwindow.{cpp,h}: fix compile error on Windows - use std::size_t
       instead of std::ssize_t, treat zero as infinity value while parsing
       option value.
     - src/onmainwindow.cpp: handle a disabled X.Org Server start limit
       correctly.
     - src/onmainwindow.cpp: fix other compile errors/typos.
     - src/onmainwindow.cpp: another compile error/typo fix.
     - src/onmainwindow.cpp: let client recognize new --xserver-start-limit
       param correctly.
     - src/onmainwindow.cpp: add -silent-dup-error parameter to VcXsrv startup
       options, forcing it to silently fail without showing a dialog and thus
       keeping the process running.
     - src/onmainwindow.cpp: re-add periodic xmodmap keyboard sync for OS
       X/macOS platforms. Was dropped some time ago by accident.
     - src/onmainwindow.cpp: fix compile error on OS X/macOS.
     - copy-deps-win32.bat: update to 20160121-4 Cygwin bundle, shipping with
       chgrp.
     - src/onmainwindow.cpp: fix user-facing error messages in Windows X.Org
       Server startup functions.
     - src/pulsemanager.cpp: use QByteArray's constData () instead of data (),
       since we'll never modify the data anyway.
     - src/onmainwindow.cpp: hook-in chgrp for ~/.x2go/etc on Windows platforms
       to work around a Cygwin permissions bug. Fixes: #1156.
     - src/onmainwindow.cpp: QProcess:nullDevice () is only available on Qt
       5.2+, so use a workaround for older versions.
     - src/onmainwindow.cpp: actually pass the correct group ID to the chgrp
       call and make sure that the warning dialog box also appears whenever the
       exit code indicates a failure.
     - src/onmainwindow.{cpp,h}: remove Cygwin permissions workaround via
       chgrp.
     - copy-deps-win32.bat: update to 20180615-1 Cygwin bundle, shipping with
       a further modified OpenSSH Server version at 7.7p1-1-x2go1 and without
       chgrp.
     - src/onmainwindow.cpp: disable private host key permissions check in
       OpenSSH Server on Windows. Fixes: #1156.
     - res/i18n/x2goclient_*.ts: update translation files.
     - res/i18n/x2goclient_fi.ts: whitespace and other fixups.
     - res/i18n/x2goclient_fi.ts: add missing numerus form translation and
       other fixups.
     - res/i18n/x2goclient_de.ts: another fixup I previously forgot about.
     - res/i18n/x2goclient_et.ts: whitespace and meta data fixup.
     - res/i18n/x2goclient_et.ts: typo fix: on+ma -> oma.
   * x2goclient.spec:
     - Remove plugin references.
   * debian/rules:
     - Remove plugin references.
     - Remove x2goclient_*.qm files removal.
   * debian/control:
     - Convert plugin packages to dummy transitional packages with no
       dependencies, remove other plugin references.
   * debian/:
     - x2goplugin{,-provider}.install: clear out.
     - {x2goplugin.dirs,x2goplugin-provider.dirs,x2goplugin-provider.links,
        x2goplugin-provider.post*}: remove.
   * debian/copyright:
     - Remove plugin references.
 .
   [ Martti Pitkänen ]
   * New upstream version (4.1.2.0):
     - res/i18n/x2goclient_fi.ts: update Finnish translation file.
 .
   [ Stefan Baur ]
   * New upstream release (4.1.2.0):
     - res/i18n/x2goclient_de.ts: update German translation file.
 .
   [ Sébastien Ducoulombier ]
   * New upstream version (4.1.2.0):
     - res/i18n/x2goclient_fr.ts: update French translation file.
 .
   [ Robert Parts ]
   * New upstream version (4.1.2.0):
     - res/i18n/x2goclient_et.ts: update Estonian translation file.


Message sent on to John Cobo <john.cobo@gmail.com>:
Bug#1156. (Sat, 23 Jun 2018 02:20:05 GMT) (full text, mbox, link).


Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Sat, 21 Jul 2018 05:24:02 GMT) (full text, mbox, link).


Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Sep 20 07:39:56 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system

Debbugs is free software and licensed under the terms of the GNU Public License version 2. The current version can be obtained from https://bugs.debian.org/debbugs-source/.

Copyright © 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson, 2005-2017 Don Armstrong, and many other contributors.